"use strict";

exports.add = function (store, actionType, actionData) {
  return store.push(actionData);
};

exports.update = function (store, actionType, actionData) {
  var id = actionData.get("id");
  var text = actionData.get("text");
  return store.map(function (task) {
    return task.get("id") === id ? task.set("text", text) : task;
  });
};

exports.toggle = function (store, actionType, actionData) {
  store
  var id = actionData;
  return store.map(function (task) {
    return task.get("id") === id ? task.update("done", function (done) {
      return !done;
    }) : task;
  });
};

exports.remove = function (store, actionType, actionData) {
  store
  var id = actionData;
  return store.filterNot(function (task) {
    return task.get("id") === id;
  });
};